mupdisp(1)

NAME

mupdisp - display output from Mup music publisher program

SYNOPSIS

mupdisp [mup_options] file

DESCRIPTION

Mupdisp provides a way to view Mup output on your screen. The file is Mup input. Any other Mup options can be given, except -f, -m, -M, -r, or -v, which don't produce print output.

Mupdisp will run under MS-DOS or will run under UNIX with a TERM of AT386, linux, or xterm (under X windows).

When running under X windows, several standard X options are available:

-geometry XxY+M+N
    Sets the window size and/or location on the screen. The actual window width will be determined by the width of the Mup output. The height will be adjusted if necessary to be between 400 and the actual height of the Mup output. The window placment specifications can be positive or negative. The actual placement may be adjusted by your window manager.

-fg color or -foreground color
    Specifies the foreground color to use.

-bg color or -background color
    Specifies the background color to use.

These X options can also be set in your .Xdefaults file using resource names of mupdisp.geometry, mupdisp.foreground, and mupdisp.background. Command line arguments will override values in the .Xdefaults file. As an example, you could add these lines to your .Xdefaults file:
mupdisp.foreground:   navy
mupdisp.background:   gray
mupdisp.geometry:     400x760+100-34

The Mupdisp program begins in partial page mode, which displays output at approximately actual size (depending on the size of your monitor). In this mode, most likely not all of the page fits on the screen, so the scrolling commands can be used to move up and down to view different parts of the page. In full page mode, a small version of the entire page is displayed. This is useful for seeing overall page layout, but is generally too small to see much detail. This mode is now somewhat of a relic of the days when screens were typically much smaller than they are today, and is thus becoming less useful.

If the environment variable MUPDISPMODE is set to some value, Mupdisp will start in full page rather than partial page mode.

The commands are:

num<Enter>
    Go to page number num.

+ or <space> or <control-E> or <control-F>
    move forward on the page by about 1/8 of an inch (partial page mode only)

- or <backspace> or <control-Y> or <control-B>
    move backward on the page by about 1/8 of an inch (partial page mode only)

b or <control-U> or <control-P> or <up-arrow-key>
    move backward on the page by about an inch (partial page mode only)

f or <Enter> or <control-D> or <control-N> or <down-arrow-key>
    move forward on the page by about an inch (partial page mode only)

h or ?
    display help screen

m   toggle between partial page and full page modes.

n or <PageDown>
    go to next page

p or <PageUp>
    go to previous page

q or ZZ
    quit

r   Repaint the page (useful for exiting help page)

When in X windows, the mouse can be used for scrolling. The left button scrolls downward like the f command, while the right button scrolls backwards like the b command.

Mupdisp supports page sizes of letter (8.5 x 11.0 inches), note (7.5 x 10.0 inches), legal (8.5 x 14.0 inches), A4 (8.26 x 11.69 inches), A5 (5.85 x 8.26 inches), A6 (4.125 x 5.85 inches), flsa (8.5 x 13.0 inches), and halfletter (5.5 x 8.5 inches).

FILES

$HOME/.Xdefaults default X window resource definitions

SEE ALSO

gs(1), mup(1), mupmate(1), mupprnt(1).
Mup — Music Publisher User's Guide

CAVEATS AND BUGS

You must have mup in your PATH. You must have ghostscript (gs or gs386.exe) in your PATH and it must be built to include the "bit" device.

Resizing the window does not resize the full page view.